#ifndef __ORIENTATIONCHANGES_H_INCLUDED_SW__
#define __ORIENTATIONCHANGES_H_INCLUDED_SW__

extern const INT32 NUM_ORIENTATION_CHANGES;
extern const char *ORIENTATION_CHANGE[];

//{"NORM","ROT90CW","ROT180CW","ROT270CW","MIRRORHORIZ","MIRRORVERT","ROT90CWMIRRHORIZ"};

extern const INT32 ORIENTATION_CHANGE_NOTHING;
extern const INT32 ORIENTATION_CHANGE_ROT90CW;
extern const INT32 ORIENTATION_CHANGE_ROT180;
extern const INT32 ORIENTATION_CHANGE_ROT270CW;
extern const INT32 ORIENTATION_CHANGE_MIRRORHORIZ;
extern const INT32 ORIENTATION_CHANGE_MIRRORVERT;
extern const INT32 ORIENTATION_CHANGE_ROT90CWANDMIRRHORIZ;

extern bool DeinitializeOrientation(void);
extern bool InitializeOrientation(void);
extern bool doOrientationChange( DIMAGE *aImageBlock, UINT32 aOrient );

#endif // __ORIENTATIONCHANGES_H_INCLUDED_SW__