package de.desy.tine.startup;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.util.logging.FileHandler;

public interface TInitializer
{
  public String getENSAddress();
  public int getSrvPort();
  public int getClnPort();
  public int getTCPPort();
  public int getStreamPort();
  public int getGCastPort();
  public String getGCastAddress();
  public int getMCastPort();
  public String getNetCastAddress();
  public int getNetCastPort();
  public String getMCastAddress();
  public String getHistoryHome();
  public String getFecHome();
  public String getTineHome();
  public String getLogHome();
  public BufferedReader getAddressResource();
  public BufferedReader getEquipmentResource();
  public BufferedReader getHostsResource();
  public BufferedReader getFecIdResource();
  public BufferedReader getExportsResource(String eqmName); 
  public BufferedReader getUsersResource();
  public BufferedReader getNetsResource(); 
  public BufferedReader getAliasResource(String eqmName); 
  public BufferedReader getHistoryResource(String eqmName); 
  public BufferedReader getAlmWatchResource(String eqmName);
  public BufferedReader getAlmDefinitionResource(String eqmName);
  public BufferedReader getDevicesResource(String eqmName);
  public FileHandler getFecLogResource();
  public BufferedWriter getFecLogWriter();
  public int getClnRcvBufferSize();
  public void setClnRcvBufferSize(int clnRcvBufferSize);
  public int getSckTimeToLive();
  public void setSckTimeToLive(int sckTimeToLive);
  public int getSrvPacketMtu();
  public void setSrvPacketMtu(int srvPacketMtu);
  public int getSrvRcvBufferSize();
  public void setSrvRcvBufferSize(int srvRcvBufferSize);
}
